/**
 * @用途 环境配置类
 * @author 黄敏
 * @创建时间 2022-08-18 09:42
 **/

interface EnvConfig {
  baseApi: string
  mqttTopic: string
  eyeApi: string
  ticketUrl: string
  bbsUrl: string,
  extensionUrl:string,
}

//测试环境
let dev: Readonly<EnvConfig> = Object.freeze({
  baseApi: 'https://192.168.2.231/v1/api/',
  mqttTopic: 'test',
  eyeApi: 'https://fms3.hydrophis.cn:8000/api/v1/',
  ticketUrl: 'http://192.168.2.231:8001/',
  bbsUrl: 'http://testbbs.hydrophis.cn/',
  extensionUrl: 'https://192.168.2.231/ff-plugin-crawler/'
})

//生产环境
let pro: Readonly<EnvConfig> = Object.freeze({
  baseApi: 'https://fms3.hydrophis.cn/v1/api/',
  mqttTopic: 'fms',
  eyeApi: 'https://fms3.hydrophis.cn:8000/api/v1/',
  ticketUrl: 'http://ticket.hydrophis.cn/',
  bbsUrl: 'http://bbs.hydrophis.cn/',
  extensionUrl:'https://fms3.hydrophis.cn/ff-plugin-crawler/'
})

let config = TEST_SERVER ? dev : pro

class Env {
  static config = config

  static getBaseUrl(path: string): string {
    //@ts-ignore
    let dirname = (globalThis.window ? _pre_.__dirname : __dirname).replace(/\\/g, '/')

    return process.env.NODE_ENV === 'development' ? `http://localhost:${PORT}/${path}` : `file:///${dirname}/${path}`
  }

  /**
   * 获取注入基础地址
   * */
  static getPreloadUrl(path: string): string {
    //@ts-ignore
    return `${process.env.NODE_ENV === 'development' ? DEV_ROOT : globalThis.window ? _pre_.__dirname : __dirname}/${path}`
  }
}

export default Env
