/*
 * 错误配置
 * 错误数据格式 {code:'错误代码',msg:'错误说明',native:'原生错误信息Error对象'}
 *
 * */
export const errorConfig = {
  //通用错误代码
  common_error: {
    code: 600,
    msg: 'common error'
  },

  //linkedin 未登录
  linkedin_no_login: {
    code: 101,
    msg: 'linkedin no login'
  },
  //tianyancha 未登录
  tianyancha_no_login: {
    code: 104,
    msg: 'tianyancha no login'
  },
  crunchbase_no_login: {
    code: 107,
    msg: 'crunchbase no login'
  },

  qichacha_no_login: {
    code: 109,
    msg: 'qichacha no login'
  },
  qixinbao_no_login: {
    code: 110,
    msg: 'qixinbao no login'
  },
  itjuzi_no_login: {
    code: 111,
    msg: 'itjuzi no data'
  },
  //twitter 未登录
  twitter_no_login: {
    code: 102,
    msg: 'twitter no login'
  },

  facebook_no_login: {
    code: 103,
    msg: 'facebook no login'
  },

  rocketreach_no_login: {
    code: 105,
    msg: 'rocketreach no login'
  },
  skype_no_login: {
    code: 106,
    msg: 'skype no login'
  },
  whatsapp_no_login: {
    code: 108,
    msg: 'skype no login'
  },

  //没有数据
  no_data_error: {
    code: 130,
    msg: 'no data'
  },

  //被拒绝访问
  no_access: {
    code: 403,
    msg: 'No access'
  },

  //用户取消操作
  timeout_error: {
    code: 411,
    msg: 'timeout'
  },

  //网络错误
  network_error: {
    code: 410,
    msg: 'Network Error'
  },

  //图片错误
  img_error: {
    code: 412,
    msg: 'Image failed'
  },
  file_error: {
    code: 413,
    msg: 'File failed'
  },

  //图片错误
  img_not_found: {
    code: 414,
    msg: "The picture doesn't exist"
  },

  //没有找到，没有连接
  not_found: {
    code: 404,
    msg: 'Not found'
  },

  //访问频率过快了
  frequency_too_fast: {
    code: 404,
    msg: 'The request frequency is too fast, please rest and try again!'
  },

  linkedin_vpn: {
    code: 700,
    msg: 'Due to the limitation of linkedin, you need to open vpn and put linkedin in the over-the-wall list!'
  },

  //参数错误
  parameter_error: {
    code: 1000,
    msg: 'parameter error'
  },

  //验证内容错误
  validate_error: {
    code: 1001,
    msg: 'validate error'
  },

  //代码/语法错误，这种错误一般需要联系程序负责人
  syntax_error: {
    code: 2000,
    msg: 'Syntax error, Please contact the program manager'
  },

  //采集数据不匹配，采集数据过程中，发生无法采集的数据，一般可能是采集的网站发生变化；需要重新匹配
  collection_error: {
    code: 2001,
    msg: ''
  },

  //用户取消操作
  abort_error: {
    code: 3000,
    msg: '用户取消操作'
  },
  //用户取消操作
  verstion_error: {
    code: 4000,
    msg: '版本号不对'
  },
  data_not_exist: {
    code: 300,
    msg: 'Operation data does not exist!'
  }
}

export default Object.freeze(errorConfig)
